# Class BasicComboBoxEditor.UIResource

java.lang.Object
javax.swing.plaf.basic.BasicComboBoxEditor
javax.swing.plaf.basic.BasicComboBoxEditor.UIResource

All Implemented Interfaces:
  `FocusListener, EventListener, ComboBoxEditor, UIResource`

Enclosing class:
  `BasicComboBoxEditor`

public static class BasicComboBoxEditor.UIResource extends BasicComboBoxEditor implements UIResource
A subclass of BasicComboBoxEditor that implements UIResource. BasicComboBoxEditor doesn't implement UIResource directly so that applications can safely override the cellRenderer property with BasicListCellRenderer subclasses.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

## Nested Class Summary

### Nested classes/interfaces declared in class BasicComboBoxEditor

`BasicComboBoxEditor.UIResource`
Modifier and Type
Class
Description
`static class`
`BasicComboBoxEditor.UIResource`
A subclass of BasicComboBoxEditor that implements UIResource.

## Field Summary

### Fields declared in class BasicComboBoxEditor

`editor`
Modifier and Type
Field
Description
`protected JTextField`
`editor`
An instance of `JTextField`.

## Constructor Summary

Constructors
Constructor
Description
`UIResource()`
Constructs a `UIResource`.

## Method Summary

### Methods declared in class BasicComboBoxEditor

`addActionListener, createEditorComponent, focusGained, focusLost, getEditorComponent, getItem, removeActionListener, selectAll, setItem`
Modifier and Type
Method
Description
`void`
`addActionListener(ActionListener l)`
Add an ActionListener.
`protected JTextField`
`createEditorComponent()`
Creates the internal editor component.
`void`
`focusGained(FocusEvent e)`
Invoked when a component gains the keyboard focus.
`void`
`focusLost(FocusEvent e)`
Invoked when a component loses the keyboard focus.
`Component`
`getEditorComponent()`
Returns the component that should be added to the tree hierarchy for this editor
`Object`
`getItem()`
Returns the edited item
`void`
`removeActionListener(ActionListener l)`
Remove an ActionListener
`void`
`selectAll()`
Ask the editor to start editing and to select everything
`void`
`setItem(Object anObject)`
Sets the item that should be edited.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### UIResource

public UIResource()
Constructs a `UIResource`.